<!-- To open the formatted version of this file, right click on the file and select open with Markdown Preview.-->

<!-- This was optimized for conversion to PDF using Visual Studio Code extension Markdown PDF: marketplace.visualstudio.com/items?itemName=yzane.markdown-pdf-->
<!-- Remember to manually add font-size and font-family style to li elements since inherit is not supported with the extension used to convert markdown to PDF.-->
<div style="display: flex; flex-direction: row;">
<img  src="shared-workspace-manual-ss/ut-logo.jpg" style="height: 60px; width: 150px;"/> 
<div style="border-right: 1px solid black; margin-right: 15px; height: 40px; margin-top: 10px;"></div>
<img  src="shared-workspace-manual-ss/itc-logo.png" style="height: 60px; width: 60px;"/>
</div>

<h2 style="font-family:Arial;">How to create a shared workspace</h2>


<span style="font-family:Arial; font-size: 16px;">
This is a step-by-step guide for creating a shared workspace and granting access to it for others using the       
web app <a href="https://crib.utwente.nl/gcp-canvas/">crib.utwente.nl/gcp-canvas</a>. The shared workspace can be shared with teachers, TAs, and students.     
For most steps there will be a visual example provided so pay attention to a red square as it will highlight the elements important to the step. 

<ol style="font-family:Arial; font-size: 16px;">

<!-- Step 1-->
<li style="font-family:Arial; font-size: 16px;">
First off, open the web app <a href="https://crib.utwente.nl/gcp-canvas/">crib.utwente.nl/gcp-canvas</a>.
<br></br>
</li>
 
<!-- Step 2-->
<li style="font-family:Arial; font-size: 16px;">
Then, in Canvas, you will have to generate an access token. This token will allow the web app to collect information about courses for which you      
have a "Teacher" role. To do this, go to <a href="https://canvas.utwente.nl/profile/settings">canvas.utwente.nl/profile/settings</a> and scroll down until you see a button <i>New access token</i>. Once the button is pressed, you will be presented with inputs for <i>purpose</i> and <i>expires</i>. For <i>purpose</i> you may enter 'CRIB-shared-workspace', and for <i>expires</i> select the next day since the token is only needed during the use of the web app. Press the button <i>Generate token</i>, then copy and save the token since it won't possible to get it again once you leave the page.
<!-- <figure style="margin-bottom: 35px;">
<img  src="copy-generated-token.png"/>
<figcaption>Image 1: Copy and save the access token.</figcaption>
</figure> -->
<br></br>
</li>    
   
<!-- Step 3-->
<li style="font-family:Arial; font-size: 16px;">        
Now, in the web app, paste the Canvas access token in the text box and press the button <i>Next</i>.
<figure style="margin-bottom: 35px;">
<img  src="shared-workspace-manual-ss/paste-token-webapp.png"/>
<figcaption>Image 1: Paste Canvas access token in the web app.</figcaption>
</figure>
</li>    

<!-- Step 4-->
<li style="font-family:Arial; font-size: 16px;">        
You will be presented with a list of courses. From this list, select the course for which you wish to create a shared workspace.
<figure style="margin-bottom: 35px;">
<img  src="shared-workspace-manual-ss/select-course.png"/>
<figcaption>Image 2: Select course for which to create a shared workspace.</figcaption>
</figure>
</li> 

<!-- Step 5-->
<li style="font-family:Arial; font-size: 16px;">        
Enter the name of the workspace. Under the course list there is an input where you can write the name of your shared workspace. A name will already be suggested for you but you can, of course, change it.
<figure style="margin-bottom: 35px;">
<img  src="shared-workspace-manual-ss/enter-workspace-name.png"/>
<figcaption>Image 3: Enter shared workspace name.</figcaption>
</figure>
</li> 

<!-- Step 6-->
<li style="font-family:Arial; font-size: 16px;">        
Set access rights for each person. Under the workspace name input, there is a <i>Users</i> table that contains persons that are involved in the selected course. In the column <i>Update Access</i>, you can set the access rights for the respective person. There are three types of rights:
<br></br>
<ul>
<li>
<b>No access</b> means that the person won't be able to access the shared workspace at all.
</li>
<li>
<b>Read-only access</b> only allows viewing files and folders within the shared workspace.  
</li>
<li>
<b>Full access</b> permits the person to view and edit any file and folder within the shared workspace.
</li>
</ul>
<br>
To make updating access rights quicker, you can use the following two features. Firstly, you can sort the table by clicking on any of the headers. For example, if you want to sort by roles to get all the teachers and TAs at the top, click on the <i>Role</i> header twice. Initially, the table is sorted with students on top, then, after the second click, the table is sorted with teachers and TAs at the top. The same way you can sort by <i>Number</i>, <i>Name</i>, and <i>Access</i>. Secondly, it is possible to assign default rights to all people with unassigned (i.e. no access) access rights by clicking the button <i>Assign Default Access Rights</i> under the <i>Users</i> table. When selected, students and observers will have read-only access while teachers, TAs, and designers will have full access.
<figure style="margin-bottom: 35px;">
<img  src="shared-workspace-manual-ss/set-access-rights.png"/>
<figcaption>Image 4: Select access rights for each person.</figcaption>
</figure>
</li>

<!-- Step 7-->
<li style="font-family:Arial; font-size: 16px;">        
Create the workspace. Once you have entered the workspace name and selected the access rights for each person, you can create the workspace by clicking <i>Save</i> button which is located under the <i>Users</i> table. Next time you or other enrolled people login to the system, the shared workspace will be visible under the <i>shared</i> folder.
<figure style="margin-bottom: 35px;">
<img  src="shared-workspace-manual-ss/save-workspace.png"/>
<figcaption>Image 5: Create your shared workspace.</figcaption>
</figure>
</li> 

<!-- Step 8-->
<li style="font-family:Arial; font-size: 16px;">        
Finally, you should delete the access token you generated in step 2. To do this go to <a href="https://canvas.utwente.nl/profile/settings">canvas.utwente.nl/profile/settings</a> and scroll down to section <i>Approved integrations</i>. There, you can delete the token by clicking on the bin icon.
<figure style="margin-bottom: 35px;">
<img  src="shared-workspace-manual-ss/delete-token.png"/>
<figcaption>Image 6: Delete access token in Canvas.</figcaption>
</figure>
</li> 

</ol>
    
</span>

